# -*- coding: utf-8 -*-
# Copyright 2022 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Generated code. DO NOT EDIT!
#
# Snippet for StreamingAnalyzeContent
# NOTE: This snippet has been automatically generated for illustrative purposes only.
# It may require modifications to work in your environment.

# To install the latest published package dependency, execute the following:
#   python3 -m pip install google-cloud-dialogflow


# [START dialogflow_v2beta1_generated_Participants_StreamingAnalyzeContent_async]
from google.cloud import dialogflow_v2beta1


async def sample_streaming_analyze_content():
    # Create a client
    client = dialogflow_v2beta1.ParticipantsAsyncClient()

    # Initialize request argument(s)
    request = dialogflow_v2beta1.StreamingAnalyzeContentRequest(
        input_audio=b'input_audio_blob',
        participant="participant_value",
    )

    # This method expects an iterator which contains
    # 'dialogflow_v2beta1.StreamingAnalyzeContentRequest' objects
    # Here we create a generator that yields a single `request` for
    # demonstrative purposes.
    requests = [request]

    def request_generator():
        for request in requests:
            yield request

    # Make the request
    stream = await client.streaming_analyze_content(requests=request_generator())

    # Handle the response
    async for response in stream:
        print(response)

# [END dialogflow_v2beta1_generated_Participants_StreamingAnalyzeContent_async]
